Replace the set of labels applied to a dataset
curl --request PUT \
--url https://api.example.com/v1/datasets/{dataset_identifier}/labels \
--header 'Content-Type: application/json' \
--data '
{
"dataset_label_ids": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/datasets/{dataset_identifier}/labels"
payload = { "dataset_label_ids": ["<string>"] }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({dataset_label_ids: ['<string>']})
};
fetch('https://api.example.com/v1/datasets/{dataset_identifier}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
]
}"<string>""<string>""<string>"Dataset Labels
Replace the set of labels applied to a dataset
Replace the entire set of labels applied to a dataset. Labels present in the request but not currently applied are added; labels currently applied but absent from the request are removed. An empty list removes all labels.
PUT
/
v1
/
datasets
/
{dataset_identifier}
/
labels
Replace the set of labels applied to a dataset
Path Parameters
The dataset identifier: either the dataset ID (GlobalID) or its name.
Body
application/json
The complete set of dataset label GlobalIDs to apply to the dataset. Labels not in this list are removed from the dataset; an empty list removes all labels.
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

